import React__default,{StrictMode,useState}from'react';import'reflect-metadata';import {RemixBrowser}from'@remix-run/react';import {hydrateRoot}from'react-dom/client';import {ApolloProvider}from'@apollo/client/index.js';import {removeUniversalPortals,SlotFillProvider}from'@common-stack/components-pro';import {InversifyProvider}from'@common-stack/client-react';import {Provider}from'react-redux';import {PersistGate}from'redux-persist/integration/react';import {persistStore}from'redux-persist';import {CacheProvider}from'@emotion/react';import createEmotionCache,{defaultCache}from'@app/frontend-stack-react/entries/common/createEmotionCache';import {createReduxStore}from'@app/frontend-stack-react/config/redux-config.js';import {createClientContainer}from'@app/frontend-stack-react/config/client.service';import clientModules from'@app/frontend-stack-react/modules.js';import i18next from'i18next';import {initReactI18next,I18nextProvider}from'react-i18next';import LanguageDetector from'i18next-browser-languagedetector';import Backend from'i18next-http-backend';import {getInitialNamespaces}from'remix-i18next/client';import config from'@app/cde-webconfig.json';import {ClientStyleContext}from'@app/frontend-stack-react/entries/chakraui/context.js';const { apolloClient: client, container, serviceFunc } = createClientContainer();
const { store } = createReduxStore(client, serviceFunc(), container);
const persistor = persistStore(store);
window.__remixStore = store;
removeUniversalPortals(window.__SLOT_FILLS__ || []);
function ClientCacheProvider({ children }) {
    const [cache, setCache] = useState(defaultCache);
    function reset() {
        setCache(createEmotionCache());
    }
    return (React__default.createElement(ClientStyleContext.Provider, { value: { reset } },
        React__default.createElement(CacheProvider, { value: cache }, children)));
}
async function hydrate() {
    if (!i18next.isInitialized && config.i18n.enabled) {
        await i18next
            .use(initReactI18next)
            .use(LanguageDetector)
            .use(Backend)
            .init({
            fallbackLng: config.i18n.fallbackLng,
            defaultNS: config.i18n.defaultNS,
            react: config.i18n.react,
            supportedLngs: config.i18n.supportedLngs,
            backend: config.i18n.backend,
            ns: getInitialNamespaces(),
            detection: {
                order: ['htmlTag'],
                caches: [],
            },
        });
    }
    hydrateRoot(document.getElementById('root'), React__default.createElement(StrictMode, null,
        React__default.createElement(I18nextProvider, { i18n: i18next },
            React__default.createElement(ClientCacheProvider, null,
                React__default.createElement(ApolloProvider, { client: client },
                    React__default.createElement(Provider, { store: store },
                        React__default.createElement(SlotFillProvider, null,
                            React__default.createElement(InversifyProvider, { container: container, modules: clientModules },
                                React__default.createElement(PersistGate, { loading: null, persistor: persistor }, () => React__default.createElement(RemixBrowser, null))))))))));
    // });
}
if (typeof requestIdleCallback === 'function') {
    requestIdleCallback(hydrate);
}
else {
    // Safari doesn't support requestIdleCallback
    // https://caniuse.com/requestidlecallback
    setTimeout(hydrate, 1);
}