import*as React from'react';import {useContext}from'react';import {Meta,Links,ScrollRestoration,Scripts,useLoaderData,Outlet}from'@remix-run/react';import {json}from'@remix-run/node';import {PluginArea}from'@common-stack/client-react';import {subscribeReduxRouter}from'@common-stack/remix-router-redux';import {ApplicationErrorHandler}from'@admin-layout/chakra-ui';import clientModules,{plugins}from'@app/frontend-stack-react/modules.js';import {createHead}from'remix-island';import {ServerStyleContext,ClientStyleContext}from'./context.js';import {withEmotionCache}from'@emotion/react';import {useChangeLanguage}from'remix-i18next/react';import {i18nextInstance}from'@app/frontend-stack-react/i18n-localization/i18next.server.js';export{ErrorBoundary}from'@app/frontend-stack-react/entries/chakraui/components/ErrorBoundary.js';// @ts-nocheck
const Head = createHead(() => (React.createElement(React.Fragment, null,
    React.createElement(Meta, null),
    React.createElement(Links, null))));
const Document = withEmotionCache(({ children }, emotionCache) => {
    const serverStyleData = useContext(ServerStyleContext);
    const clientStyleData = useContext(ClientStyleContext);
    React.useEffect(() => {
        // re-link sheet container
        emotionCache.sheet.container = document.head;
        // re-inject tags
        const tags = emotionCache.sheet.tags;
        emotionCache.sheet.flush();
        tags.forEach((tag) => {
            emotionCache.sheet._insertTag(tag);
        });
        // reset cache to reapply global styles
        clientStyleData?.reset();
    }, []);
    return (React.createElement(React.Fragment, null,
        React.createElement(Head, null),
        serverStyleData?.map(({ key, ids, css }) => (React.createElement("style", { key: key, "data-emotion": `${key} ${ids.join(' ')}`, dangerouslySetInnerHTML: { __html: css } }))),
        React.createElement("script", { src: "https://cdnjs.cloudflare.com/ajax/libs/reflect-metadata/0.1.13/Reflect.min.js", integrity: "sha512-jvbPH2TH5BSZumEfOJZn9IV+5bSwwN+qG4dvthYe3KCGC3/9HmxZ4phADbt9Pfcp+XSyyfc2vGZ/RMsSUZ9tbQ==", crossOrigin: "anonymous", referrerPolicy: "no-referrer" }),
        React.createElement(PluginArea, null),
        children,
        React.createElement(ScrollRestoration, null),
        React.createElement(Scripts, null)));
});
let loader = async ({ request }) => {
    let locale = await i18nextInstance.getLocale(request);
    return json({ locale });
};
let handle = {
    i18n: 'common',
};
function shouldRevalidate(params) {
    return params.defaultShouldRevalidate && params.currentUrl.pathname !== params.nextUrl.pathname;
}
function App() {
    let { locale } = useLoaderData();
    useChangeLanguage(locale);
    React.useEffect(() => {
        subscribeReduxRouter({ store: window.__remixStore, router: window.__remixRouter });
    }, []);
    return (React.createElement(ApplicationErrorHandler, { plugins: plugins },
        React.createElement(Document, null, clientModules.getWrappedRoot(React.createElement(Outlet, null)))));
}export{Document,Head,App as default,handle,loader,shouldRevalidate};